NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::ObjectAttributeManagementBuilder Class Reference

Tooling builder to assign and edit attributes of objects
To create a new instance of this class, use NXOpen::Tooling::ObjectAttributeManagementCollection::CreateObjectAttributeManagementBuilder
Default values. More...

Inheritance diagram for NXOpen::Tooling::ObjectAttributeManagementBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  FilterAccordingToAttributeType { FilterAccordingToAttributeTypePart, FilterAccordingToAttributeTypeComponent, FilterAccordingToAttributeTypeSolidBody, FilterAccordingToAttributeTypeFace }
 the selection filter type according to attribute More...
 
enum  FilterType { FilterTypePart, FilterTypeComponent, FilterTypeSolidBody, FilterTypeFace }
 the selection filter type More...
 
enum  ShowComponentsType { ShowComponentsTypeShowAllComponents, ShowComponentsTypeOnlyShowComponentsWithAttribute, ShowComponentsTypeHideComponentsWithAttribute }
 the show type according to attribute More...
 
enum  ShowType { ShowTypeShowAttributeOfSelectedObject, ShowTypeShowObjectAccordingToAttribute }
 show attributes of selected objects or show objects according to attribute More...
 

Public Member Functions

void AddFromDataFileAttributeList ()
 The action to add selected attributes from attributes spreadsheet
Created in NX9.0.0. More...
 
bool AttributeOfRootPart ()
 Returns the option whether to show attributes of root part
Created in NX9.0.0. More...
 
NXString AttributeTitles ()
 Returns the attribute titles
Created in NX9.0.0. More...
 
NXString AttributeValues ()
 Returns the attribute values
Created in NX9.0.0. More...
 
void CopyAttribute ()
 The action to copy selected attributes
Created in NX9.0.0. More...
 
void DeleteAttribute ()
 The action to delete selected attributes
Created in NX9.0.0. More...
 
void EditConfigurationFile ()
 Tha action to edit attribute spreadsheet
Created in NX9.0.0. More...
 
void NewAttribute ()
 The action to new an attribute
Created in NX9.0.0. More...
 
void PasteAttribute ()
 The action to paste copied attributes
Created in NX9.0.0. More...
 
NXString SelectAttributeSpreadsheet ()
 Returns the selected attribute spreadsheet
Created in NX9.0.0. More...
 
NXOpen::SelectNXObjectListSelectBody ()
 Returns the select body
Created in NX9.0.0. More...
 
NXOpen::SelectNXObjectListSelectBodyAccordingToAttribute ()
 Returns the select body according to attribute
Created in NX9.0.0. More...
 
NXOpen::SelectNXObjectListSelectComponent ()
 Returns the selected objects
Created in NX9.0.0. More...
 
NXOpen::SelectNXObjectListSelectComponentAccordingToAttribute ()
 Returns the objects according to attributes
Created in NX9.0.0. More...
 
NXOpen::ScCollectorSelectFace ()
 Returns the select face
Created in NX9.0.0. More...
 
NXOpen::ScCollectorSelectFaceAccordingToAttribute ()
 Returns the faces according to attribute
Created in NX9.0.0. More...
 
NXOpen::Tooling::ObjectAttributeManagementBuilder::FilterType SelectionFilter ()
 Returns the selection filter
Created in NX9.0.0. More...
 
NXOpen::Tooling::ObjectAttributeManagementBuilder::FilterAccordingToAttributeType SelectionFilterAccordingToAttribute ()
 Returns the selection filter according to attribute
Created in NX9.0.0. More...
 
void SetAttributeOfRootPart (bool attributeOfRootPart)
 Sets the option whether to show attributes of root part
Created in NX9.0.0. More...
 
void SetAttributeTitles (const NXString &attributeTitles)
 Sets the attribute titles
Created in NX9.0.0. More...
 
void SetAttributeTitles (const char *attributeTitles)
 Sets the attribute titles
Created in NX9.0.0. More...
 
void SetAttributeValues (const NXString &attributeValues)
 Sets the attribute values
Created in NX9.0.0. More...
 
void SetAttributeValues (const char *attributeValues)
 Sets the attribute values
Created in NX9.0.0. More...
 
void SetSelectAttributeSpreadsheet (const NXString &fileName)
 Sets the selected attribute spreadsheet
Created in NX9.0.0. More...
 
void SetSelectAttributeSpreadsheet (const char *fileName)
 Sets the selected attribute spreadsheet
Created in NX9.0.0. More...
 
void SetSelectionFilter (NXOpen::Tooling::ObjectAttributeManagementBuilder::FilterType selectionFilter)
 Sets the selection filter
Created in NX9.0.0. More...
 
void SetSelectionFilterAccordingToAttribute (NXOpen::Tooling::ObjectAttributeManagementBuilder::FilterAccordingToAttributeType selectionFilterAccordingToAttribute)
 Sets the selection filter according to attribute
Created in NX9.0.0. More...
 
void SetShowTypeEnum (NXOpen::Tooling::ObjectAttributeManagementBuilder::ShowComponentsType showComponentsTypeEnum)
 Sets the show type enumeration
Created in NX9.0.0. More...
 
void SetToggleListDependents (bool toggleListDependents)
 Sets the option whether to list dependent components
Created in NX9.0.0. More...
 
void SetType (NXOpen::Tooling::ObjectAttributeManagementBuilder::ShowType type)
 Sets the type show objects or attributes
Created in NX9.0.0. More...
 
void SetWizardType (int wizardType)
 Sets the wizard type
Created in NX9.0.0. More...
 
NXOpen::Tooling::ObjectAttributeManagementBuilder::ShowComponentsType ShowTypeEnum ()
 Returns the show type enumeration
Created in NX9.0.0. More...
 
bool ToggleListDependents ()
 Returns the option whether to list dependent components
Created in NX9.0.0. More...
 
NXOpen::Tooling::ObjectAttributeManagementBuilder::ShowType Type ()
 Returns the type show objects or attributes
Created in NX9.0.0. More...
 
void UndoButton ()
 The action to undo last delete
Created in NX9.0.0. More...
 
int WizardType ()
 Returns the wizard type
Created in NX9.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Tooling builder to assign and edit attributes of objects
To create a new instance of this class, use NXOpen::Tooling::ObjectAttributeManagementCollection::CreateObjectAttributeManagementBuilder
Default values.

Property Value

AttributeOfRootPart

0

SelectionFilter

Component

SelectionFilterAccordingToAttribute

Component

ShowTypeEnum

ShowAllComponents

ToggleListDependents

0

Type

ShowObjectAccordingToAttribute


Created in NX9.0.0.

Member Enumeration Documentation

the selection filter type according to attribute

Enumerator
FilterAccordingToAttributeTypePart 

part

FilterAccordingToAttributeTypeComponent 

component

FilterAccordingToAttributeTypeSolidBody 

solid body

FilterAccordingToAttributeTypeFace 

face

the selection filter type

Enumerator
FilterTypePart 

part

FilterTypeComponent 

component

FilterTypeSolidBody 

solid body

FilterTypeFace 

face

the show type according to attribute

Enumerator
ShowComponentsTypeShowAllComponents 

show all components

ShowComponentsTypeOnlyShowComponentsWithAttribute 

only show components with attribute

ShowComponentsTypeHideComponentsWithAttribute 

hide components with attribute

show attributes of selected objects or show objects according to attribute

Enumerator
ShowTypeShowAttributeOfSelectedObject 

show attribute of selected object

ShowTypeShowObjectAccordingToAttribute 

show object according to attribute

Member Function Documentation

void NXOpen::Tooling::ObjectAttributeManagementBuilder::AddFromDataFileAttributeList ( )

The action to add selected attributes from attributes spreadsheet
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

bool NXOpen::Tooling::ObjectAttributeManagementBuilder::AttributeOfRootPart ( )

Returns the option whether to show attributes of root part
Created in NX9.0.0.



License requirements : None

NXString NXOpen::Tooling::ObjectAttributeManagementBuilder::AttributeTitles ( )

Returns the attribute titles
Created in NX9.0.0.



License requirements : None

NXString NXOpen::Tooling::ObjectAttributeManagementBuilder::AttributeValues ( )

Returns the attribute values
Created in NX9.0.0.



License requirements : None

void NXOpen::Tooling::ObjectAttributeManagementBuilder::CopyAttribute ( )

The action to copy selected attributes
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::ObjectAttributeManagementBuilder::DeleteAttribute ( )

The action to delete selected attributes
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::ObjectAttributeManagementBuilder::EditConfigurationFile ( )

Tha action to edit attribute spreadsheet
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::ObjectAttributeManagementBuilder::NewAttribute ( )

The action to new an attribute
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::ObjectAttributeManagementBuilder::PasteAttribute ( )

The action to paste copied attributes
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXString NXOpen::Tooling::ObjectAttributeManagementBuilder::SelectAttributeSpreadsheet ( )

Returns the selected attribute spreadsheet
Created in NX9.0.0.



License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Tooling::ObjectAttributeManagementBuilder::SelectBody ( )

Returns the select body
Created in NX9.0.0.



License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Tooling::ObjectAttributeManagementBuilder::SelectBodyAccordingToAttribute ( )

Returns the select body according to attribute
Created in NX9.0.0.



License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Tooling::ObjectAttributeManagementBuilder::SelectComponent ( )

Returns the selected objects
Created in NX9.0.0.



License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Tooling::ObjectAttributeManagementBuilder::SelectComponentAccordingToAttribute ( )

Returns the objects according to attributes
Created in NX9.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Tooling::ObjectAttributeManagementBuilder::SelectFace ( )

Returns the select face
Created in NX9.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Tooling::ObjectAttributeManagementBuilder::SelectFaceAccordingToAttribute ( )

Returns the faces according to attribute
Created in NX9.0.0.



License requirements : None

NXOpen::Tooling::ObjectAttributeManagementBuilder::FilterType NXOpen::Tooling::ObjectAttributeManagementBuilder::SelectionFilter ( )

Returns the selection filter
Created in NX9.0.0.



License requirements : None

NXOpen::Tooling::ObjectAttributeManagementBuilder::FilterAccordingToAttributeType NXOpen::Tooling::ObjectAttributeManagementBuilder::SelectionFilterAccordingToAttribute ( )

Returns the selection filter according to attribute
Created in NX9.0.0.



License requirements : None

void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetAttributeOfRootPart ( bool  attributeOfRootPart)

Sets the option whether to show attributes of root part
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
attributeOfRootPartattributeofrootpart
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetAttributeTitles ( const NXString attributeTitles)

Sets the attribute titles
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
attributeTitlesattributetitles
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetAttributeTitles ( const char *  attributeTitles)

Sets the attribute titles
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
attributeTitlesattributetitles
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetAttributeValues ( const NXString attributeValues)

Sets the attribute values
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
attributeValuesattributevalues
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetAttributeValues ( const char *  attributeValues)

Sets the attribute values
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
attributeValuesattributevalues
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetSelectAttributeSpreadsheet ( const NXString fileName)

Sets the selected attribute spreadsheet
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
fileNamefilename
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetSelectAttributeSpreadsheet ( const char *  fileName)

Sets the selected attribute spreadsheet
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
fileNamefilename
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetSelectionFilter ( NXOpen::Tooling::ObjectAttributeManagementBuilder::FilterType  selectionFilter)

Sets the selection filter
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
selectionFilterselectionfilter
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetSelectionFilterAccordingToAttribute ( NXOpen::Tooling::ObjectAttributeManagementBuilder::FilterAccordingToAttributeType  selectionFilterAccordingToAttribute)

Sets the selection filter according to attribute
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
selectionFilterAccordingToAttributeselectionfilteraccordingtoattribute
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetShowTypeEnum ( NXOpen::Tooling::ObjectAttributeManagementBuilder::ShowComponentsType  showComponentsTypeEnum)

Sets the show type enumeration
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
showComponentsTypeEnumshowcomponentstypeenum
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetToggleListDependents ( bool  toggleListDependents)

Sets the option whether to list dependent components
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
toggleListDependentstogglelistdependents
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetType ( NXOpen::Tooling::ObjectAttributeManagementBuilder::ShowType  type)

Sets the type show objects or attributes
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
typetype
void NXOpen::Tooling::ObjectAttributeManagementBuilder::SetWizardType ( int  wizardType)

Sets the wizard type
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
wizardTypewizardtype
NXOpen::Tooling::ObjectAttributeManagementBuilder::ShowComponentsType NXOpen::Tooling::ObjectAttributeManagementBuilder::ShowTypeEnum ( )

Returns the show type enumeration
Created in NX9.0.0.



License requirements : None

bool NXOpen::Tooling::ObjectAttributeManagementBuilder::ToggleListDependents ( )

Returns the option whether to list dependent components
Created in NX9.0.0.



License requirements : None

NXOpen::Tooling::ObjectAttributeManagementBuilder::ShowType NXOpen::Tooling::ObjectAttributeManagementBuilder::Type ( )

Returns the type show objects or attributes
Created in NX9.0.0.



License requirements : None

void NXOpen::Tooling::ObjectAttributeManagementBuilder::UndoButton ( )

The action to undo last delete
Created in NX9.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

int NXOpen::Tooling::ObjectAttributeManagementBuilder::WizardType ( )

Returns the wizard type
Created in NX9.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.